"""OOPS - The Python Datastore.

OOPS stands for object-oriented persistent storage which should give you an
idea of its purpose. It was designed to be as easy to learn as python, to
have an intuitive interface, to be conservative in memory and processor usage,
to be as simple as possible without sacrificing scalability.

OOPS makes it possible to merge database design and application design in
Python. This results in less code which in turn is more manageable and more
readable. All OOPS classes are inheritable. In fact you'll see that it has been
designed with the expressed purpose of leveraging python's object-oriented
programming concepts to their fullest.

OOPS achieves the transparent persistence in the Python environment by
mirroring the python namespace over top of a shelve-like database. Behavioral
methods were added to classes to make the bind to each other and receive extra
identification information so each object could build a unique identifying
database key in which it stores persistent data.
"""
from core import *
